**************************
*JCR replication materials
*Title: "Cut Short? United Nations Peacekeeping and Civil War Duration"
*Authors: Jacob Kathman, Michelle Benson, SUNY Buffalo
**************************

use "Kathman_Benson_Cut_Short_JCR-reduced.dta"


*Table 1 
sum warduration lntroopLag lnpoliceLag lnmilitaryobserversLag PKOdumLag lnbrv_civAggLag lnbrv_abAggLag lntpop contestnumber rebstrength numofrebgroups_gwnoaLag incompatibility demdum biased_rebintervLag biased_govintervLag

*Survival time-setting the data
gen dyadterm_PA_CF = 0
replace dyadterm_PA_CF = 1 if dyadterm == 1 & (outcome == 1 | outcome == 2)
replace dyadterm_PA_CF = 2 if dyadterm == 1 & (outcome == 3 | outcome == 4  | outcome == 5 | outcome == 6)
stset warduration, failure(dyadterm_PA_CF==1) id(dyadep)

*Table 2, Model 1
stcrreg lntroopLag lnpoliceLag lnmilitaryobserversLag lnbrv_civAggLag lnbrv_abAggLag lntpop contestnumber rebstrength numofrebgroups_gwnoaLag incompatibility demdum biased_rebintervLag biased_govintervLag, compete(dyadterm_PA_CF==2) cl(gwnoa) nohr

*Figure 1 (generated from Model 1)
stcurve, cif at1(lntroopLag=0 lnpoliceLag=.415 lnmilitaryobserversLag=.449 lnbrv_civAggLag=3.029 lnbrv_abAggLag=5.697 lntpop=10.611 contestnumber=1 rebstrength=2 numofrebgroups_gwnoaLag=7 incompatibility=2 demdum=0 biased_rebintervLag=0 biased_govintervLag=0) at2(lntroopLag=9.2 lnpoliceLag=.415 lnmilitaryobserversLag=.449 lnbrv_civAggLag=3.029 lnbrv_abAggLag=5.697 lntpop=10.611 contestnumber=1 rebstrength=2 numofrebgroups_gwnoaLag=7 incompatibility=2 demdum=0 biased_rebintervLag=0 biased_govintervLag=0) title("") xtitle("") ytitle("") xlabel(0(20)100) range(0 100) xscale(range(0 100) noextend)  legend(label(1 "UN Troops (ln)=0") label(2 "UN Troops (ln)=9.2 (ie ~10,000 troops)")) 

*Table 2, Model 2
stcrreg lntroopLag lnpoliceLag lnmilitaryobserversLag lnbrv_civAggLag lnbrv_abAggLag lntpop contestnumber rebstrength numofrebgroups_gwnoaLag incompatibility demdum biased_rebintervLag biased_govintervLag  if PKOatsomept_dyadep==1, compete(dyadterm_PA_CF==2) cl(gwnoa) nohr

*Table 2, Model 4
stcrreg PKOdumLag lnbrv_civAggLag lnbrv_abAggLag lntpop contestnumber rebstrength numofrebgroups_gwnoaLag incompatibility demdum biased_rebintervLag biased_govintervLag, compete(dyadterm_PA_CF==2) cl(gwnoa) nohr

drop dyadterm_PA_CF _st _d _t _t0



*Table 2
gen dyadterm_PA_CF_LA = 0
replace dyadterm_PA_CF_LA = 1 if dyadterm == 1 & (outcome == 1 | outcome == 2 | outcome == 5)
replace dyadterm_PA_CF_LA = 2 if dyadterm == 1 & (outcome == 3 | outcome == 4 | outcome == 6)
stset warduration, failure(dyadterm_PA_CF_LA==1) id(dyadep)

*Table 2, Model 3
stcrreg lntroopLag lnpoliceLag lnmilitaryobserversLag lnbrv_civAggLag lnbrv_abAggLag lntpop contestnumber rebstrength numofrebgroups_gwnoaLag incompatibility demdum biased_rebintervLag biased_govintervLag, compete(dyadterm_PA_CF_LA==2) cl(gwnoa) nohr

drop dyadterm_PA_CF_LA _st _d _t _t0
